{{/* TODO: Use a partial for the cell contents */}}
{{/* TODO: Use a parameter to set the partial */}}

{{ $columns := int (.Get "columns") | default 4 }}

{{ $index := 0 }}
{{ $row := 0 }}
{{ $count := len .Site.Data.members.governing_body }}
{{ $lastRow := div $count $columns}}

{{ $totalCells := add $lastRow 1 | mul $columns }}
{{ $numToPad := div (sub $totalCells $count | float) 2 }}
{{ $padLeft := math.Floor $numToPad }}
{{ $padRight := math.Ceil $numToPad }}


{{ $mediaPage := .Get "media_page" | default .Page.File.Path }}
{{ $resourcesPage := .Site.GetPage $mediaPage }}
{{ $page := .Page }}

<div class="imagegrid row">
    {{ range index .Site.Data (split .Params.data "." ) }}
        {{ $row = div $index $columns}}

        {{/* Add padding to the start of the first row if needed */}}
        {{ if eq $row $lastRow }}
            {{ if eq (mod $index $columns) 0 }}
                {{ range $pad, $num := (seq $padLeft) }}
                    <div class="col-md"></div>
                {{ end }}
            {{ end }}
        {{ end }}

        <div class="col-md">
            <a href="{{.url}}" style="width:100%">
        {{ partial "img" (dict "Page" $page "src" .image "alt" .alt "columns" $columns "media_page" $mediaPage )}}
            </a>
        </div>

        {{ if eq $row $lastRow }}
            {{ if eq $index (sub $count 1) }}
                {{ range $pad, $num := (seq $padRight) }}
                    <div class="col-md"></div>
                {{ end }}
            {{ end }}
        {{ end }}


        {{ $index = add $index 1 }}
        {{ if not (mod $index $columns) }}
            <div class="w-100"></div>
        {{ end }}
    {{ end }}
</div>
